Just a simple mod to add some extra variety and utilize some under utilized enemies/interactables more.\
Intended to not really focus on balance, mostly just small tweaks that wouldn't fit as Quality of Life.

## Enemies

A couple enemies have been moved or replaced to encourage enemy diversity.\
Grovetender will replace Stone Titan in Sundered Grove and Bighorn Bison spawn in Snowy Forest as examples.

Every stage will have at least 1 enemy addition on loops.

Adds Clay, Solus, Parent and Vermin Family Events and cleans up Family variety for to encourage diversity.\
The Gup family event now spawns Geep and Gip too.

Scavengers can now be encountered as bosses under normal conditions, in which case they are given a Boss Item.\
The teleporter will have a chance to drop the item and you can execute them for it.

![](https://cdn.discordapp.com/attachments/743886063738683413/955900668235882586/unknown.png)

## Interactables
As of Survivors of the Void, every stage variant only contains one Large Category Chest, this mod changes it so it also only includes one small category chest.

Rare Printers and Cleansing Pools are made more common to give them more spotlight. (Sanctuary will still be the main place for Pools).

Purchasable Void Potentials now can present choices from any tier.

Made specific interactables cost less for the director as they're often wasted space (such as TC280)

*Added Lots of Config to change the prices of interactables and the payout rates of RW Cauldrons\
For the most part nothing is changed but certain things like TC280 and Woods Shrines got a mild price reduction.


## Simulacrum
Every stage now uses it's own interactable spawn pool to make each stage feel more unique.\
This leads to interactables like Cleansing Pools or Shrine of Order actually being present.

Earlier stages will have more Interactables to get a run going but less later to make late full looting not better.\
More interactables will now spawn in multiplayer


The Focus is slighty bigger when moving and expands upon sitting down.

It should no longer be possible to encounter your previous stage as your next stage (ie: Meadows -> Sanctuary -> Meadows, no longer happens)

Enemies are likelier to get items they can actually use.\
Some items such as Tesla Coil are now blacklisted.

Basic Waves:
* Added 12 Family Event Augments.
* Added 3 Artifact Augments: Sacrifice, Evolution, Metamorphosis (Changes char just for the wave)
* Added 2 Elite Type Augments where elites will spawn as Perfected/Voidtouched.

Boss Waves:
* Special Boss Augments now have special scaling.
* Added 5 Special Boss Augments like the one for Mithrix but for the other special bosses.
* Added Boss Augment of Infestation, many Void Infestors will be released.
* Added 2 Aritfact Boss Augments: Honor and Vengence
* Every 50 Waves starting at Wave 60 a special boss wave will happen and a optional ending portal spawns afterwards.


![](https://cdn.discordapp.com/attachments/743886063738683413/955904648936583188/unknown.png)

## Items
Squid Polyp Turrets now count as Mechanical.\
Wake of Vultures now can steal part of the Voidtouched elite type.

Focused Convergence is uncapped but can't shrink the radius so far that it becomes unplayable.

Beads of Fealty now stacks by spawning one extra Twisted Scavenger for each Beads.\
All of them will drop a Backpack.

Elite Equipment have a 1/1000 chance of dropping.
Boss items are now a 25% chance to drop from a teleporter instead of 15%

The Void Elite Aspect is now able to drop.

Eulogy Zero adds a chance to replace a Tier 1 elite with a Perfected elite.

![](https://cdn.discordapp.com/attachments/943509112258428958/955906279912661043/unknown.png)


## Misc
Captain keeps his abilities in Hidden Realms

##
Many things are configuerable

Report bugs and feedback to @Wolfo#6210 in the Risk of Rain 2 discord or RoR2 Modding discord.\
If you're reporting a bug please include the log file, I can't really do anything without it.

Also download:\
[WolfoQualityOfLife](https://thunderstore.io/package/Wolfo/WolfoQualityOfLife/) for many visual improvements and general Quality of Life.\
[FixedSpawnDissonance](https://thunderstore.io/package/Wolfo/FixedSpawnDissonance/) for Artifact improvements and fixes alongside some small gameplay improvements.
[ArtifactOfDissimilarity](https://thunderstore.io/package/Wolfo/ArtifactOfDissimilarity/) for some fun extra Artifacts.

## Changelog:
v2.0.2 - Bug fixes\
v2.0.1
* Config for Captain keeping his abilities in Hidden Realms
* Config for Mechanical Squid Turret
* Config for Stricter enemy blacklist in Simu
* Enemy Documentation now viewable next to config file in r2modman
* Bug fixes

v2.0.0
* Updated to Survivors of the Void
* Simulacrum : More Augments
* Simulacrum : Every stage uses it's own interactable pool instead of all the same.
* Simulacrum : Quality of Life, Balance and Bug Fixes
* Finishes the Void Elite Aspect and allows it to be obtained.
* Perfected Elites have a chance to spawn for Eulogy Zero
* Adds 3 Skins, 2 self made and 1 that's unused in the files but finished.
* Captain keeps his abilities in all stages

v1.0.1 - Fixed the Submodule

v1.0.0 - Release.